Debian Bug report logs - #136766
grub: doesnt like /dev/root

version graph

Package: grub; Maintainer for grub is GRUB Maintainers <pkg-grub-devel@lists.alioth.debian.org>;

Reported by: Andrea Mennucc <debian@Tonelli.sns.it>

Date: Mon, 4 Mar 2002 12:18:06 UTC

Severity: important

Found in version 0.91-2

Fixed in version grub/0.92+cvs20020923-1

Done: Jason Thomas <jason@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org:
Bug#136766; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Andrea Mennucc <debian@Tonelli.sns.it>:
New Bug report received and forwarded. Copy sent to Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrea Mennucc <debian@Tonelli.sns.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: grub: doesnt like /dev/root
Date: Mon, 4 Mar 2002 13:13:38 +0100
Package: grub
Version: 0.91-2
Severity: important

hi

I wanted to use grub instead of lilo

so I installed the grub .deb and typed 
  grub-install /dev/hda
but got 
 /dev/root: Not found or not a block device.

indeed the latest kernels have this mount table:
--
/dev/root.old on /initrd type cramfs (rw)
/dev/root on / type ext3 (rw)
proc on /proc type proc (rw)
...
--

nonetheless the device map seems to be correct: it is
--
(fd0)	/dev/fd0
(hd0)	/dev/hda
(hd1)	/dev/hdb
--

I have also run update-grub which generates a menu that seems ok

bye

a.

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux Tonelli 2.4.16-586 #1 Wed Nov 28 08:21:15 EST 2001 i686
Locale: LANG=it_IT, LC_CTYPE=it_IT

Versions of packages grub depends on:
ii  libc6                    2.2.5-3         GNU C Library: Shared libraries an
ii  libncurses5              5.2.20020112a-3 Shared libraries for terminal hand

-- 
Andrea Mennucc
 "E' un mondo difficile. Che vita intensa!" (Renato Carotone)



Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org:
Bug#136766; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Michael Weber <michaelw@debian.org>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 136766@bugs.debian.org (full text, mbox):

From: Michael Weber <michaelw@debian.org>
To: debian@tonelli.sns.it, 136766@bugs.debian.org
Subject: Re: grub: doesnt like /dev/root
Date: Sat, 4 May 2002 14:03:21 +0200
[Message part 1 (text/plain, inline)]
* Andrea Mennucc <debian@Tonelli.sns.it> [2002-03-04T13:13+0100]:
> Package: grub
> Version: 0.91-2
> Severity: important
> 
> hi
> 
> I wanted to use grub instead of lilo
> 
> so I installed the grub .deb and typed 
>   grub-install /dev/hda
> but got 
>  /dev/root: Not found or not a block device.

same here.

> indeed the latest kernels have this mount table:
> --
> /dev/root.old on /initrd type cramfs (rw)
> /dev/root on / type ext3 (rw)
> proc on /proc type proc (rw)
> ...
> --

You have linked /etc/mtab to /proc/mounts and no devfs, right?  That's
the reason why mount talks about /dev/root and not the real device.

I've seen there is at least a fix so that grub-install handles links
to devices in the new grub-0.92 version, but it's a bit fragile.

Anyway, I've attached a script which I have in /etc/rc.boot/ that
sets a link from /dev/root to the real root device.  This, in
combination with grub-0.92, should should get you started.  My (now
kind of obsolete) own patch against grub-0.91 did something similar
and worked for me.

Maybe the /dev/root issue should be mentioned in README.Debian or the
Grub docs.  FYI: DevFS creates a link from /dev/root to the real
device itself.


Cheers,
Michael
[dev-root-link (text/plain, attachment)]

Information forwarded to grub@packages.qa.debian.org:
Bug#136766; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Michael Weber <michaelw@debian.org>:
Extra info received and filed, but not forwarded. Copy sent to grub@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 136766-quiet@bugs.debian.org (full text, mbox):

From: Michael Weber <michaelw@debian.org>
To: debian@tonelli.sns.it, 136766-quiet@bugs.debian.org
Subject: Re: grub: doesnt like /dev/root
Date: Sat, 4 May 2002 14:57:48 +0200
* Michael Weber <michaelw@debian.org> [2002-05-04T14:03+0200]:
> #! /bin/sh
> #
> # updates link from /dev/root to real root device by looking it up in
> # /etc/fstab
> #
> # LIMITATIONS:
> # * doesn't work if / is specified with a label or UUID in /etc/fstab
> #
> 
> set -e
> 
> 
> # yes 'portable shell scripts are retarded...'
> if [ ! -f /dev/.devfsd ]

small buglet here: 

instead use:

	if [ ! -e /dev/.devfsd ]

otherwise the test will do the wrong thing, since .devfsd is not a
regular file.


Cheers,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org:
Bug#136766; Package grub. Full text and rfc822 format available.

Acknowledgement sent to Andrea Mennucc <debdev@Tonelli.sns.it>:
Extra info received and forwarded to list. Copy sent to Jason Thomas <jason@debian.org>, grub@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 136766@bugs.debian.org (full text, mbox):

From: Andrea Mennucc <debdev@Tonelli.sns.it>
To: Michael Weber <michaelw@debian.org>
Cc: 136766@bugs.debian.org
Subject: Re: grub: doesnt like /dev/root
Date: Mon, 6 May 2002 12:37:13 +0200
hi

On Sat, May 04, 2002 at 02:03:21PM +0200, Michael Weber wrote:
> * Andrea Mennucc <debian@Tonelli.sns.it> [2002-03-04T13:13+0100]:
...
> > indeed the latest kernels have this mount table:
> 
> You have linked /etc/mtab to /proc/mounts and no devfs, right?  That's
> the reason why mount talks about /dev/root and not the real device.

?-}

[check ... ckeck...]

yes!

that is quite astonishing, since I did not remember ever setting
that link! 
(maybe some Progeny program did it...)

> I've seen there is at least a fix so that grub-install handles links
> to devices in the new grub-0.92 version, but it's a bit fragile.
> 
> Anyway, I've attached a script which I have in /etc/rc.boot/ that

really thanks

I will try it asap

I hate lilo: I often install kernels, both with and without initrd,
and I have to edit lilo.conf by hand each time

-- 
Andrea Mennucc
 "E' un mondo difficile. Che vita intensa!" (Renato Carotone)



Reply sent to Jason Thomas <jason@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrea Mennucc <debian@Tonelli.sns.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 136766-close@bugs.debian.org (full text, mbox):

From: Jason Thomas <jason@debian.org>
To: 136766-close@bugs.debian.org
Subject: Bug#136766: fixed in grub 0.92+cvs20020923-1
Date: Thu, 22 Aug 2002 21:02:17 -0400
We believe that the bug you reported is fixed in the latest version of
grub, which is due to be installed in the Debian FTP archive:

grub-doc_0.92+cvs20020923-1_all.deb
  to pool/main/g/grub/grub-doc_0.92+cvs20020923-1_all.deb
grub_0.92+cvs20020923-1.diff.gz
  to pool/main/g/grub/grub_0.92+cvs20020923-1.diff.gz
grub_0.92+cvs20020923-1.dsc
  to pool/main/g/grub/grub_0.92+cvs20020923-1.dsc
grub_0.92+cvs20020923-1_i386.deb
  to pool/main/g/grub/grub_0.92+cvs20020923-1_i386.deb
grub_0.92+cvs20020923.orig.tar.gz
  to pool/main/g/grub/grub_0.92+cvs20020923.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 136766@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jason Thomas <jason@debian.org> (supplier of updated grub package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 23 Aug 2002 10:40:09 +1000
Source: grub
Binary: grub-doc grub
Architecture: source all i386
Version: 0.92+cvs20020923-1
Distribution: unstable
Urgency: low
Maintainer: Jason Thomas <jason@debian.org>
Changed-By: Jason Thomas <jason@debian.org>
Description: 
 grub       - GRand Unified Bootloader
 grub-doc   - Documentation for GRand Unified Bootloader
Closes: 136766 153978 154543
Changes: 
 grub (0.92+cvs20020923-1) unstable; urgency=low
 .
   * CVS snapshot, fixes:
     - /dev/root problem with devfs.
     - kernel to big for memory problem.
     - -no-curses option causes bad output.
     (closes: #154543, #153978, #136766)
   * remove patch 04device.map_dup.patch, not needed now!
Files: 
 8ca120ae28b6497e18f5fd3dd13ff412 645 admin optional grub_0.92+cvs20020923-1.dsc
 935a53a6b321d4c7bbcce49af1895f89 834202 admin optional grub_0.92+cvs20020923.orig.tar.gz
 104b32a2aaf21b39cddb591a05be6a6d 22505 admin optional grub_0.92+cvs20020923-1.diff.gz
 5c8f345be8b5982835543c9372c4b722 238344 doc optional grub-doc_0.92+cvs20020923-1_all.deb
 21114693d80fcb1e8c4ffda90bc82293 260174 admin optional grub_0.92+cvs20020923-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9ZYZh7cYwRJJSiL4RAhziAKC/RcEAv2Hyzbev+/PCtDLAWz6daQCeIQ4I
iSHOcaYJzoz/sv1RQm4kepk=
=YbR6
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:38:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.